ShortLinkControllerGetLongLink Method |
GET /ShortLink/{shortLink}
Gets a long link from the given short link.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage GetLongLink(
string shortLink,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Index")>
Public Function GetLongLink (
shortLink As String,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ GetLongLink(
String^ shortLink,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Index")>]
member GetLongLink :
shortLink : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- shortLink
- Type: SystemString
The short link to find the long link for. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
String with the long link, or a status code indicating the problem.
See Also